
# react-native-intro

## Getting started

`$ npm install react-native-intro --save`

### Mostly automatic installation

`$ react-native link react-native-intro`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-intro` and add `RNIntro.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNIntro.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNIntroPackage;` to the imports at the top of the file
  - Add `new RNIntroPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-intro'
  	project(':react-native-intro').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-intro/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-intro')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNIntro.sln` in `node_modules/react-native-intro/windows/RNIntro.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Intro.RNIntro;` to the usings at the top of the file
  - Add `new RNIntroPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNIntro from 'react-native-intro';

// TODO: What to do with the module?
RNIntro;
```
  